# d (Delete) command

Deletes files from archive.

#### Example

    7z d archive.zip *.bak -r

deletes *.bak files from archive archive.zip.

#### Notes

7-Zip doesn't use the system wildcard parser. 7-Zip doesn't follow the archaic rule by which *.* means any file. 7-Zip treats *.* as matching the name of any file that has an extension. To process all files, you must use a * wildcard.

#### Switches that can be used with this command

-bb (Set output log level)
-i (Include)
-m (Method)
-p (Set Password)
-r (Recurse)
-sns (Store NTFS alternate Streams)
-u (Update)
-w (Working Dir)
-x (Exclude)

#### See also

Commands: a (Add), u (Update)

Switches: -spf (Use fully qualified file paths)
-spm (Require path separator mark for directory path)
-stl (Set archive timestamp from the most recently modified file)
-u (Update)